Bug 1779912 - Allow some telemetry metrics to be added without changes to whitelist
Summary: Allow some telemetry metrics to be added without changes to whitelist
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Clayton Coleman
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1779913
TreeView+ depends on / blocked
 
Reported: 2019-12-05 00:34 UTC by Clayton Coleman
Modified: 2020-05-04 11:19 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1779913 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:18:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 578 'None' closed Bug 1779912: Add a whitelist cluster:usage:* for telemetry for simple usage metric exposure 2020-06-26 00:37:28 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:19:07 UTC

Description Clayton Coleman 2019-12-05 00:34:43 UTC
For some usage / verification metrics that might point out configuration issues but may only live for as short time, having to change the whitelist of telemetry is very expensive in human and backport logic, hindering our ability to do quick iteration on data around a customer problem set. In addition, teams may need to do this and monitoring quickly bottlenecks the problem.

Allow a whitelist rule for usage in telemetry to allow this behavior. An e2e test will be added that ensures we don't have excessive cardinality, and we will audit and review all metrics of this form periodically to ensure users are following the rules.

Comment 4 errata-xmlrpc 2020-05-04 11:18:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.